/*******************************

	Serial functions required to send data through UART0 to the MP3 Player Module

********************************/
#include <stdio.h>
#include <avr/io.h>
#include "serial_mp3.h"


void init_MP3_UART(void);
void putchar_MP3(char ch);


void init_MP3_UART(void)
{
	UCSR0B = 0x00;			
	UCSR0B = 0x18;			// enable UART TX and RX
	UCSR0C = 0x06;			// set the UART for N, 8, 1
	UBRR0L = 103;			// set BAUD Rate for 9600 with 16MHz clock
	UBRR0H = 0;
}


// the following function sends a single character out of the serial port
void UART0_out(uint8_t num)
{

    while ( (UCSR0A & (1 << UDRE0)) == 0 )		// wait until there is room in the transmit buffer
	{
	}

    UDR0 = num;									// load the character into the UART data register
}

